Bug 1338720 - perl-Data-Alias: FTBFS against 5.24
Summary: perl-Data-Alias: FTBFS against 5.24
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-Alias
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 10:36 UTC by Jitka Plesnikova
Modified: 2017-01-09 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-09 15:06:32 UTC
Type: Bug


Attachments (Terms of Use)
Build log (31.06 KB, text/plain)
2016-05-23 10:36 UTC, Jitka Plesnikova
no flags Details


Links
System ID Private Priority Status Summary Last Updated
CPAN 112289 0 None None None 2016-05-23 10:36:23 UTC
Debian BTS 825011 0 None None None 2016-07-18 08:46:46 UTC

Description Jitka Plesnikova 2016-05-23 10:36:24 UTC
Created attachment 1160517 [details]
Build log

Description of problem:
Package perl-Data-Alias fails to build from source against Perl 5.24 in rawhide.

Version-Release number of selected component (if applicable):
1.20-3.fc25

Steps to Reproduce:
koji build --scratch f25 perl-Data-Alias-1.20-3.fc25.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/perl-Data-Alias

Comment 1 Paul Howarth 2016-05-23 11:01:53 UTC
This is one of those modules that regularly breaks with major new perl versions. It does usually get fixed, though sometimes not for several months.

Comment 2 Petr Pisar 2016-07-18 08:20:13 UTC
I recommend retiring this package before freezing F25. If upstream fixes is it, we can unretire it.

Comment 3 Paul Howarth 2016-07-18 08:46:46 UTC
Indeed, I won't let F25 go out with a broken package. I'd like to leave it as late as possible though (probably around beta time) as it does have a history of being broken with new releases and eventually getting fixed.

Comment 4 Jan Kurik 2016-07-26 04:54:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Petr Pisar 2016-09-19 13:16:35 UTC
Beta freeze is on 27th September.

Comment 6 Fedora Admin XMLRPC Client 2016-09-20 13:57:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Paul Howarth 2016-09-20 14:01:33 UTC
I've retired perl-Data-Alias for F-25, but left it alone in master for now - still hoping that something may happen in the coming months to resolve this.

Comment 8 Fedora Admin XMLRPC Client 2017-01-09 15:04:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Paul Howarth 2017-01-09 15:06:32 UTC
It doesn't look like this is going to get fixed any time soon, so I've retired it in master too now.


Note You need to log in before you can comment on or make changes to this bug.